/**********************************************************************/
/*                                                                    */
/* Copyright (c) 2001 by Sun Microsystems, Inc.                       */
/* All rights reserved.                                               */
/*                                                                    */
/**********************************************************************/

#ifndef _CICSTYPE_H
#define _CICSTYPE_H


/*
** This is the MTP type definition file for client applications
*/
#define CICSCALL
#define CICSEXIT
#define CICSPTR


typedef char            cics_char_t;     /*  character type           */

typedef signed char     cics_sbyte_t;    /*  signed 8  bit integer    */
typedef signed short    cics_sshort_t;   /*  signed 16 bit integer    */
typedef signed long     cics_slong_t;    /*  signed 32 bit integer    */

typedef unsigned char   cics_ubyte_t;    /*  unsigned 8  bit integer  */
typedef unsigned short  cics_ushort_t;   /*  unsigned 16 bit integer  */
typedef unsigned long   cics_ulong_t;    /*  unsigned 32 bit integer  */

typedef void CICSPTR    *cics_ptr_t;     /*  general pointer type     */
typedef unsigned short  cics_shandle_t;  /*  general 16 bit handle    */
typedef void CICSPTR    *cics_lhandle_t; /*  general 32 bit handle    */


#endif
