/**********************************************************************/
/*                                                                    */
/* Copyright (c) 2001 by Sun Microsystems, Inc.                       */
/* All rights reserved.                                               */
/*                                                                    */
/**********************************************************************/

/*
** dfhaid.h
**
** Sun MTP Client.
** Symbolic definitions for 3270 AID values.
*/

#ifndef INCL_DFHAID
#define INCL_DFHAID

#define  DFHCLEAR   0x5f
#define  DFHCLRP    0x7c
#define  DFHENTER   0x27
#define  DFHMSRE    0x58
#define  DFHNULL    0x20
#define  DFHOPID    0x57
#define  DFHPA1     0x25
#define  DFHPA2     0x3e
#define  DFHPA3     0x2c
#define  DFHPEN     0x3d
#define  DFHPF1     0x31
#define  DFHPF10    0x3a
#define  DFHPF11    0x23
#define  DFHPF12    0x40
#define  DFHPF13    0x41
#define  DFHPF14    0x42
#define  DFHPF15    0x43
#define  DFHPF16    0x44
#define  DFHPF17    0x45
#define  DFHPF18    0x46
#define  DFHPF19    0x47
#define  DFHPF2     0x32
#define  DFHPF20    0x48
#define  DFHPF21    0x49
#define  DFHPF22    0x5b
#define  DFHPF23    0x2e
#define  DFHPF24    0x3c
#define  DFHPF3     0x33
#define  DFHPF4     0x34
#define  DFHPF5     0x35
#define  DFHPF6     0x36
#define  DFHPF7     0x37
#define  DFHPF8     0x38
#define  DFHPF9     0x39
#define  DFHSTRF    0x68
#define  DFHTRIG    0x22

#endif
